
Foreman - Tracker #12972

Refresh icons with font awesome and patternfly icons and use one consistent icon helper

01/03/2016 03:09 AM - Alon Goldboim

Status: Resolved % Done: 0%

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

In order to create a single point of control over icons it is needed to use helper rather then hard code the icon. (example

_toolbar.html.erb:24)

According to patternfly recommendations glyphicon should be replaced with font-awesome or patternfly icons.

Related issues:

Related to Foreman - Refactor #13124: use patternfly icons for status Closed 01/12/2016

Related to Foreman - Refactor #13258: Use patternfly icons for parameters Closed 01/18/2016

History

#1 - 01/04/2016 03:28 AM - Dominic Cleal

- Tracker changed from Bug to Refactor

- Category set to Web Interface

#2 - 01/12/2016 03:37 AM - Ohad Levy

- Related to Refactor #13124: use patternfly icons for status added

#3 - 01/18/2016 03:59 AM - Ori Rabin

- Tracker changed from Refactor to Tracker

- Subject changed from Add use of icon_text helper in needed views and change icons to fa and pficon. to Refresh icons with font awesome and

patternfly icons and use one consistent icon helper

#4 - 01/18/2016 04:33 AM - Ori Rabin

- Related to Refactor #13258: Use patternfly icons for parameters added

#5 - 06/14/2016 07:05 AM - Dominic Cleal

- Status changed from New to Resolved

Both issues seem to be closed with code changes, closing this.
